"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.commonConfig = exports.theme = void 0;
const vite_1 = require("vite");
exports.theme = {
    breakpoints: {
        sm: '576px',
        md: '768px',
        lg: '992px',
        xl: '1200px',
        '2xl': '1600px',
    },
};
function commonConfig({ command }) {
    const userConfig = {
        server: {
            host: true,
        },
        build: {
            reportCompressedSize: false,
            chunkSizeWarningLimit: 1500,
            rollupOptions: {
                // TODO: Prevent memory overflow
                maxParallelFileOps: 3,
            },
        },
    };
    if (command === 'build') {
        return (0, vite_1.mergeConfig)(userConfig, {
            esbuild: {
                drop: ['console', 'debugger'],
            },
        });
    }
    return userConfig;
}
exports.commonConfig = commonConfig;
//# sourceMappingURL=common.js.map