"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const vite_1 = require("vite");
const plugin_vue_1 = __importDefault(require("@vitejs/plugin-vue"));
const plugin_vue_jsx_1 = __importDefault(require("@vitejs/plugin-vue-jsx"));
const vite_plugin_eslint_1 = __importDefault(require("vite-plugin-eslint"));
const vite_plugin_external_1 = __importDefault(require("../plugins/vite-plugin-external"));
exports.default = (0, vite_1.defineConfig)({
    mode: 'development',
    build: {
        target: 'modules',
        outDir: 'es',
        emptyOutDir: true,
        minify: false,
        //brotliSize: false,
        rollupOptions: {
            output: {
                entryFileNames: '[name].js',
                preserveModules: true,
                preserveModulesRoot: 'components',
            },
        },
        lib: {
            entry: 'components/index.ts',
            formats: ['es'],
        },
        watch: {},
    },
    plugins: [
        (0, vite_plugin_external_1.default)(),
        (0, plugin_vue_1.default)(),
        (0, plugin_vue_jsx_1.default)(),
        (0, vite_plugin_eslint_1.default)({
            include: ['components/**/*.ts', 'components/**/*.tsx', 'components/**/*.vue'],
            exclude: ['node_modules', 'components/icon/**/*'],
        }),
    ],
});
//# sourceMappingURL=vite.dev.js.map