"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vite_1 = require("vite");
const project_1 = require("./project");
async function getPlaySiteConfig(options) {
    const workspace = (0, vite_1.searchForWorkspaceRoot)(process.cwd());
    const config = await (0, project_1.defineProjectConfig)(options);
    return (0, vite_1.mergeConfig)(config, {
        resolve: {
            alias: [
                {
                    find: /^@ent-core\/(.*)$/,
                    replacement: `${workspace}/packages/fe-ent-core/$1`,
                },
                {
                    find: /^fe-ent-core\/lib\/(.*)$/,
                    replacement: `${workspace}/packages/fe-ent-core/$1`,
                },
            ],
        },
    });
}
exports.default = getPlaySiteConfig;
//# sourceMappingURL=vite.play.js.map