"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const plugin_vue_1 = __importDefault(require("@vitejs/plugin-vue"));
const plugin_vue_jsx_1 = __importDefault(require("@vitejs/plugin-vue-jsx"));
//import { terser } from 'rollup-plugin-terser';
const plugin_terser_1 = __importDefault(require("@rollup/plugin-terser"));
const unocss_1 = require("../plugins/unocss");
const modify_vars_1 = require("../utils/modify-vars");
exports.default = () => {
    const entry = 'index.ts';
    return {
        mode: 'production',
        build: {
            target: 'modules',
            outDir: 'dist',
            emptyOutDir: false,
            sourcemap: true,
            minify: false,
            cssMinify: true,
            //brotliSize: false,
            rollupOptions: {
                //external: 'vue',
                //treeshake: false,
                output: [
                    {
                        format: 'umd',
                        entryFileNames: `index.full.js`,
                        globals: {
                            vue: 'Vue',
                        },
                        name: 'Ent',
                        exports: 'named',
                    },
                    {
                        format: 'umd',
                        entryFileNames: `index.full.min.js`,
                        globals: {
                            vue: 'Vue',
                        },
                        name: 'Ent',
                        exports: 'named',
                        plugins: [(0, plugin_terser_1.default)()],
                    },
                ],
            },
            // 开启lib模式
            lib: {
                entry,
                formats: ['umd'],
                name: 'Ent',
            },
        },
        css: {
            preprocessorOptions: {
                less: {
                    modifyVars: (0, modify_vars_1.generateModifyVars)(),
                    javascriptEnabled: true,
                },
            },
        },
        // define: {
        //   'process.env': JSON.stringify({ NODE_ENV: 'production' }),
        // },
        resolve: {
            alias: [
                {
                    find: /^@ent-core\/(.*)$/,
                    replacement: `${process.cwd()}/$1`,
                },
            ],
        },
        // @ts-ignore vite内部类型错误
        plugins: [(0, plugin_vue_1.default)(), (0, plugin_vue_jsx_1.default)(), (0, unocss_1.configUnoCSSPlugin)(true)],
    };
};
//# sourceMappingURL=vite.prod.umd.js.map