"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const vite_1 = require("vite");
const vite_plugin_ent_vue_docs_1 = __importDefault(require("../plugins/vite-plugin-ent-vue-docs"));
const project_1 = require("./project");
async function getDocSiteConfig(options) {
    const workspace = (0, vite_1.searchForWorkspaceRoot)(process.cwd());
    const config = await (0, project_1.defineProjectConfig)(options);
    return (0, vite_1.mergeConfig)(config, {
        resolve: {
            alias: [
                {
                    find: /^@ent-core\/(.*)$/,
                    replacement: `${workspace}/packages/fe-ent-core/$1`,
                },
            ],
        },
        plugins: [(0, vite_plugin_ent_vue_docs_1.default)()],
    });
}
exports.default = getDocSiteConfig;
//# sourceMappingURL=vite.site.js.map