"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.configCompressPlugin = void 0;
/**
 * Used to package and output gzip. Note that this does not work properly in Vite, the specific reason is still being investigated
 * https://github.com/anncwb/vite-plugin-compression
 */
const vite_plugin_compression_1 = __importDefault(require("vite-plugin-compression"));
function configCompressPlugin({ compress, deleteOriginFile = false, }) {
    const compressList = compress.split(',');
    const plugins = [];
    if (compressList.includes('gzip')) {
        plugins.push((0, vite_plugin_compression_1.default)({
            ext: '.gz',
            deleteOriginFile,
        }));
    }
    if (compressList.includes('brotli')) {
        plugins.push((0, vite_plugin_compression_1.default)({
            ext: '.br',
            algorithm: 'brotliCompress',
            deleteOriginFile,
        }));
    }
    return plugins;
}
exports.configCompressPlugin = configCompressPlugin;
//# sourceMappingURL=compress.js.map