"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.configMockPlugin = void 0;
/**
 * Mock plugin for development and production.
 * https://github.com/anncwb/vite-plugin-mock
 */
const vite_plugin_mock_1 = require("vite-plugin-mock");
function configMockPlugin({ isBuild }) {
    return (0, vite_plugin_mock_1.viteMockServe)({
        ignore: /^_/,
        mockPath: 'mock',
        localEnabled: !isBuild,
        prodEnabled: isBuild,
        injectCode: `
      import { setupProdMockServer } from '../mock/_createProductionServer';

      setupProdMockServer();
      `,
    });
}
exports.configMockPlugin = configMockPlugin;
//# sourceMappingURL=mock.js.map