"use strict";
/**
 *  Vite Plugin for fast creating SVG sprites.
 * https://github.com/anncwb/vite-plugin-svg-icons
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.configSvgIconsPlugin = void 0;
const path_1 = __importDefault(require("path"));
const fs_1 = __importDefault(require("fs"));
const vite_plugin_svg_icons_1 = require("vite-plugin-svg-icons");
function configSvgIconsPlugin({ isBuild }) {
    const cwd = process.cwd();
    const iconDirs = [];
    if (fs_1.default.existsSync(`${cwd}/src/assets/icons`)) {
        iconDirs.push(path_1.default.resolve(cwd, 'src/assets/icons'));
    }
    const svgIconsPlugin = (0, vite_plugin_svg_icons_1.createSvgIconsPlugin)({
        iconDirs,
        svgoOptions: isBuild,
    });
    return svgIconsPlugin;
}
exports.configSvgIconsPlugin = configSvgIconsPlugin;
//# sourceMappingURL=svgSprite.js.map