"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.configUnoCSSPlugin = void 0;
const vite_1 = __importDefault(require("unocss/vite"));
const unocss_1 = require("unocss");
const theme = {
    breakpoints: {
        sm: '576px',
        md: '768px',
        lg: '992px',
        xl: '1200px',
        '2xl': '1600px',
    },
};
function configUnoCSSPlugin(isLib) {
    if (isLib) {
        return (0, vite_1.default)({
            mode: 'dist-chunk',
            presets: [(0, unocss_1.presetUno)({ preflight: false }), (0, unocss_1.presetTypography)()],
            postcss: true,
            theme,
        });
    }
    else {
        return (0, vite_1.default)({
            presets: [(0, unocss_1.presetUno)(), (0, unocss_1.presetTypography)()],
            theme,
        });
    }
}
exports.configUnoCSSPlugin = configUnoCSSPlugin;
//# sourceMappingURL=unocss.js.map