import type { Token, Tokens } from 'marked';
import type { FileImportToken, I18nDescriptionToken } from './interface';
export declare function isParagraph(token: Token): token is Tokens.Paragraph;
export declare function isCode(token: Token): token is Tokens.Code;
export declare function isHeading(token: Token): token is Tokens.Heading;
export declare const isFileImport: (token: any) => token is FileImportToken;
export declare const isI18nDescription: (token: any) => token is I18nDescriptionToken;
export declare function isSpace(token: Token): token is Tokens.Space;
export declare const toKebabCase: (string: string) => string;
export declare const toPascalCase: (string: string) => string;
/**
 * 将字符串转换为模板中的字符串格式
 */
export declare const getTemplateString: (string: string) => string;
export declare const isVirtualModule: (id: string) => boolean;
export declare const isDemoMarkdown: (id: string) => boolean;
export declare const getFrontMatter: (tokens: any[]) => any;
export declare const getVueId: (id: string) => string;
export declare const getValidFilename: (filename: string) => string;
