"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const fs_extra_1 = __importDefault(require("fs-extra"));
const vite_1 = require("vite");
const vite_prod_1 = __importDefault(require("../../configs/vite.prod"));
const vite_prod_umd_1 = __importDefault(require("../../configs/vite.prod.umd"));
async function run({ umd = false }) {
    await fs_extra_1.default.emptyDir(path_1.default.resolve(process.cwd(), 'es'));
    await fs_extra_1.default.emptyDir(path_1.default.resolve(process.cwd(), 'lib'));
    await (0, vite_1.build)(vite_prod_1.default);
    if (umd) {
        await fs_extra_1.default.ensureDirSync(path_1.default.resolve(process.cwd(), 'dist'));
        await (0, vite_1.build)((0, vite_prod_umd_1.default)());
    }
}
exports.default = run;
//# sourceMappingURL=index.js.map