"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const fs_extra_1 = __importDefault(require("fs-extra"));
const fast_glob_1 = __importDefault(require("fast-glob"));
const consola_1 = __importDefault(require("consola"));
const vite_1 = require("vite");
const library_1 = require("../../configs/library");
const library_umd_1 = require("../../configs/library.umd");
async function run({ umd = false, source = false, base = '' }) {
    const cwd = process.cwd();
    await fs_extra_1.default.emptyDir(path_1.default.resolve(cwd, 'dist'));
    await (0, vite_1.build)(await (0, library_1.defineLibraryConfig)(source));
    consola_1.default.success(`build library successfully in path ${cwd}`);
    // 拷贝less文件到目标文件，index.less编译生成index.css
    const files = fast_glob_1.default.sync('*/*.less', {
        cwd,
        absolute: false,
    });
    for (const filename of files) {
        const absolute = path_1.default.resolve(cwd, `${filename}`);
        fs_extra_1.default.copySync(absolute, path_1.default.resolve(cwd, `es/${filename}`));
    }
    if (umd) {
        await (0, vite_1.build)(await (0, library_umd_1.defineUmdLibraryConfig)(source, base));
        consola_1.default.success(`build library umd successfully in path ${cwd}`);
    }
}
exports.default = run;
//# sourceMappingURL=index.js.map