"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vite_1 = require("vite");
const project_1 = require("../../configs/project");
async function run(config, port) {
    const { command, mode } = config;
    const appConfig = await (0, project_1.defineProjectConfig)({
        command,
        mode,
        ...(command === 'serve' && {
            overrides: {
                server: {
                    port,
                },
            },
        }),
    });
    //不重文件加载配置
    appConfig.configFile = false;
    if (command === 'build') {
        await (0, vite_1.build)(appConfig);
    }
    else {
        const server = await (0, vite_1.createServer)(appConfig);
        await server.listen();
        server.printUrls();
    }
}
exports.default = run;
//# sourceMappingURL=index.js.map