"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_extra_1 = __importDefault(require("fs-extra"));
const consola_1 = __importDefault(require("consola"));
const glob_1 = __importDefault(require("glob"));
const paths_1 = __importDefault(require("../../utils/paths"));
const run = async () => {
    const cwd = process.cwd();
    // 拷贝less文件到目标文件，index.less编译生成index.css
    const files = glob_1.default.sync('{components,directives}/**/*.less', {
        cwd,
    });
    for (const filename of files) {
        const absolute = paths_1.default.resolvePath(`${filename}`);
        fs_extra_1.default.copySync(absolute, paths_1.default.resolvePath(`es/${filename}`));
        fs_extra_1.default.copySync(absolute, paths_1.default.resolvePath(`lib/${filename}`));
    }
    // 拷贝并编译less入口文件
    consola_1.default.log('build target css');
    // const indexLessPath = paths.resolvePath('theme/index.less');
    //
    // const indexLess = fs.readFileSync(indexLessPath, 'utf8');
    // const result = await less.render(indexLess, {
    //   paths: [paths.components, paths.directives, paths.theme],
    //   modifyVars: generateModifyVars(),
    //   javascriptEnabled: true,
    // });
    //
    // fs.ensureDirSync(paths.resolvePath('dist'));
    //
    // fs.writeFileSync(paths.resolvePath('dist/app.css'), result.css);
    //
    // const compress = new CleanCSS().minify(result.css);
    //
    // fs.writeFileSync(paths.resolvePath('dist/app.min.css'), compress.styles);
    //
    fs_extra_1.default.copySync(paths_1.default.theme, paths_1.default.resolvePath('es/theme'), { recursive: true });
    fs_extra_1.default.copySync(paths_1.default.theme, paths_1.default.resolvePath('lib/theme'), { recursive: true });
    //
    // consola.success(`target build success`);
};
exports.default = run;
//# sourceMappingURL=index.js.map