"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ora_1 = __importDefault(require("ora"));
const chalk_1 = __importDefault(require("chalk"));
const vite_1 = require("vite");
const vite_dev_1 = __importDefault(require("../../configs/vite.dev"));
const run = async () => {
    const spinner = (0, ora_1.default)();
    spinner.start(chalk_1.default.cyan('启动组件开发环境...\n'));
    const watcher = (await (0, vite_1.build)(vite_dev_1.default));
    watcher.on('event', async (event) => {
        if (event.code === 'START' || event.code === 'END') {
            spinner.start(chalk_1.default.cyan('开始监听文件变化...'));
        }
        else if (event.code === 'BUNDLE_START') {
            spinner.start(chalk_1.default.cyan('检测到文件变化，重新编译文件\n'));
        }
        else if (event.code === 'BUNDLE_END') {
            console.log(chalk_1.default.green('编译完成！\n'));
        }
        else if (event.code === 'ERROR') {
            console.log(chalk_1.default.red('编译失败！\n'));
            console.error(event.error);
        }
    });
};
exports.default = run;
//# sourceMappingURL=index.js.map