"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const bt = __importStar(require("@babel/types"));
const recast_1 = require("recast");
const babel_parser_1 = __importDefault(require("./babel-parser"));
function ignore() {
    return false;
}
function resolveImport(file) {
    const source = fs_1.default.readFileSync(file, { encoding: 'utf-8' });
    const plugins = ['typescript'];
    const ast = (0, recast_1.parse)(source, { parser: (0, babel_parser_1.default)({ plugins }) });
    if (!ast) {
        throw new Error(`Unable to parse empty file "${file}"`);
    }
    const nodePaths = new Map();
    (0, recast_1.visit)(ast.program, {
        // to look only at the root we ignore all traversing
        visitFunctionDeclaration: ignore,
        visitFunctionExpression: ignore,
        visitClassExpression: ignore,
        visitIfStatement: ignore,
        visitWithStatement: ignore,
        visitSwitchStatement: ignore,
        visitWhileStatement: ignore,
        visitDoWhileStatement: ignore,
        visitForStatement: ignore,
        visitForInStatement: ignore,
        visitVariableDeclaration(variablePath) {
            if (!bt.isVariableDeclaration(variablePath.node)) {
                return false;
            }
            const varID = variablePath.node.declarations[0].id;
            if (!varID || !bt.isIdentifier(varID)) {
                return false;
            }
            nodePaths.set(varID.name, variablePath.get('declarations', 0).get('init'));
            return false;
        },
    });
    return nodePaths;
}
exports.default = resolveImport;
//# sourceMappingURL=resolveImport.js.map