"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const fs_extra_1 = __importDefault(require("fs-extra"));
const glob_1 = __importDefault(require("glob"));
const paths_1 = __importDefault(require("../../utils/paths"));
const lessgen = () => {
    let lessContent = `@import './style/index.less';\n@import './trigger/style/index.less';\n`;
    const lessFiles = glob_1.default.sync('**/style/index.less', {
        cwd: paths_1.default.components,
        ignore: ['style/index.less', 'trigger/style/index.less'],
    });
    lessFiles.forEach((value) => {
        lessContent += `@import './${value}';\n`;
    });
    fs_extra_1.default.outputFileSync(path_1.default.resolve(paths_1.default.components, 'index.less'), lessContent);
    console.log('generate index.less success');
};
exports.default = lessgen;
//# sourceMappingURL=index.js.map