"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const vite_1 = require("vite");
const vite_site_1 = __importDefault(require("../../configs/vite.site"));
async function run(config, port) {
    const { command, mode } = config;
    const siteConfig = await (0, vite_site_1.default)({
        command,
        mode,
        ...(command === 'serve' && {
            overrides: {
                server: {
                    port,
                },
            },
        }),
    });
    //不重文件加载配置
    siteConfig.configFile = false;
    if (command === 'build') {
        await (0, vite_1.build)(siteConfig);
    }
    else {
        const server = await (0, vite_1.createServer)(siteConfig);
        await server.listen();
        server.printUrls();
    }
}
exports.default = run;
//# sourceMappingURL=index.js.map