"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jest_1 = require("jest");
const jest_config_1 = __importDefault(require("../../configs/jest.config"));
const config_1 = require("../../utils/config");
exports.default = async (components, options) => {
    const userConfig = await (0, config_1.getUserConfig)('jest.config.js');
    const collectCoverageFrom = components.length > 0
        ? components.map((item) => `components/${item}/**/*.{vue,tsx,ts}`)
        : ['components/**/*.{vue,tsx,ts}'];
    const baseConfig = (0, jest_config_1.default)(collectCoverageFrom);
    const mergedConfig = userConfig?.(baseConfig) ?? baseConfig;
    await (0, jest_1.run)(['--config', JSON.stringify(mergedConfig), ...options]);
};
//# sourceMappingURL=index.js.map