"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateModifyVars = exports.primaryColor = void 0;
const path_1 = __importDefault(require("path"));
const fs_1 = __importDefault(require("fs"));
const colors_1 = require("@ant-design/colors");
// @ts-ignore: typo
const theme_1 = require("ant-design-vue/dist/theme");
const vite_1 = require("vite");
exports.primaryColor = '#0960bd';
function generateAntColors(color, theme = 'default') {
    return (0, colors_1.generate)(color, {
        theme,
    });
}
/**
 * less global variable
 */
function generateModifyVars(cssModifyOptions) {
    const cwd = process.cwd();
    let preLoadFile = '';
    preLoadFile = path_1.default.resolve(cwd, `theme/config.less`);
    if (!fs_1.default.existsSync(preLoadFile)) {
        preLoadFile = path_1.default.resolve(cwd, `node_modules/fe-ent-core/lib/theme/config.less`);
    }
    if (!fs_1.default.existsSync(preLoadFile)) {
        const root = (0, vite_1.searchForWorkspaceRoot)(cwd);
        preLoadFile = path_1.default.resolve(root, `packages/fe-ent-core/theme/config.less`);
    }
    const optionPrimaryColor = cssModifyOptions?.primaryColor || exports.primaryColor;
    const palettes = generateAntColors(optionPrimaryColor, cssModifyOptions?.theme);
    const primary = palettes[5];
    const primaryColorObj = {};
    for (let index = 0; index < 10; index++) {
        primaryColorObj[`primary-${index + 1}`] = palettes[index];
    }
    const modifyVars = (0, theme_1.getThemeVariables)();
    const cssModifyVars = cssModifyOptions?.cssModifyVars || {};
    return {
        ...modifyVars,
        // reference:  Avoid repeated references
        hack: `${modifyVars.hack} @import (reference) "${preLoadFile}";`,
        'primary-color': primary,
        ...primaryColorObj,
        'info-color': primary,
        'processing-color': primary,
        'success-color': '#55D187',
        'error-color': '#ED6F6F',
        'warning-color': '#EFBD47',
        'font-size-base': '14px',
        'border-radius-base': '2px',
        'link-color': primary,
        'app-content-background': '#fafafa',
        ...cssModifyVars,
    };
}
exports.generateModifyVars = generateModifyVars;
//# sourceMappingURL=modify-vars.js.map